package entities;

import javax.vecmath.Vector3f;

import renderEngine.DisplayManager;

public class Camera {
	private Vector3f position = new Vector3f(0,0,0);
	private float pitch;
	private float yaw;
	private float roll;

	public Camera() {
		
	}
	public void move() {
		if (DisplayManager.isKeyDown('w')) {
			position.z -= 0.8f;
		}
		if (DisplayManager.isKeyDown('s')) {
			position.z += 0.8f;
		}
		if (DisplayManager.isKeyDown('d')) {
			position.x += 0.8f;
		}
		if (DisplayManager.isKeyDown('a')) {
			position.x -= 0.8f;
		}
	}

	public Vector3f getPosition() {
		return position;
	}

	public float getPitch() {
		return pitch;
	}

	public float getYaw() {
		return yaw;
	}

	public float getRoll() {
		return roll;
	}
}
